#app > main.edit-product {
    width: 100vw;
    height: 100vh;
    margin: 0;
    overflow-x: hidden;
    overflow-y: auto;
}

#app > main.edit-product > .menu-bottom-root,
#app > main.edit-product > .menu-bottom-root2 {
    display: none;
}

.page-edit-product-root {
    height: 100vh;
}

.page-edit-product-root h3 {
    text-align: left;
    width: 100%;
}

.page-edit-product-root > .fixed {
    position: fixed;
    width: 100%;
    top: 0;
}


.page-edit-product-root .breadcrumb {
    padding: 0.5rem 1rem;
    font-size: 0.9rem;
    color: #333;
}

.page-edit-product-root .breadcrumb a:visited {
    color: #333;
}

.page-edit-product-root .product-image {
    width: 100%;
    min-height: 30vh;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    overflow: hidden;
}

.page-edit-product-root .product-image.disabled {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 8rem;
    color: #ddd;
    /* height: 100%; */
}

.page-edit-product-root .product-image img.kaw-icon {
    width: 100%;
    height: 100%;
    max-height: 33vh;
    object-fit: contain;
}

.page-edit-product-root header {
    padding: 0 1rem;
}

.page-edit-product-root .title {
    font-family: 'Comic Book Italic';
    font-size: 1.6rem;
}

.page-edit-product-root .product-details {
    margin-top: 60vh;
    padding: 1rem;
    /* padding-bottom: 50vh; */
    display: flex;
    flex-direction: column;
    align-items: center;
    /* justify-content: center; */
    height: 100vh;
    background: #efefef;
    border-radius: 24px 24px 0 0;
    position: relative;
    /* bottom: 0; */
    /* left: 0; */
    width: 100%;
    box-sizing: border-box;
    justify-content: flex-start;
    z-index: 2;
    box-shadow: 0 -2px 12px rgba(0,0,0,.14), 0 0 6px rgba(0,0,0,.12);
}

.page-edit-product-root .product-details > .handle {
    height: 4px;
    width: 40px;
    background: #777;
    border-radius: 12px;
    margin-bottom: 2rem;
    position: relative;
    top: -3px;
}

.page-edit-product-root .price {
    font-size: 3rem;
    font-family: monospace;
    color: #515151;
    padding: 0.5rem 2rem;
    border-radius: 12px;
    /* background: white; */
}

.page-edit-product-root .tag-list {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    margin-top: 1rem;
}

.page-edit-product-root .tag-list > .tag {
    margin: 0.5rem;
    padding: 0.5rem 1rem;
    background-color: var(--color-primary-light);
    color: var(--color-primary);
}

.page-edit-product-root .tag-list > .tag.new-tag {
    background-color: #e8e8e8;
    color: #393939;
}


.page-edit-product-root .button.save {
    font-size: 1.5rem;
    padding: 1rem 1.5rem;
    color: white;
}




/* COMPTA */
.page-edit-product-root .compta-select {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0;
    padding: 0;
    list-style: none;
}

.page-edit-product-root .compta-select > li {
    margin: 0 0.5rem;
    padding: 1rem 1rem;
    width: 30%;
    height: 70px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    text-align: center;
    border-radius: 12px;
    background-color: #e8e8e8;
    color: #393939;
    cursor: pointer;
}

.page-edit-product-root .compta-select > li.selected {
    background-color: var(--color-primary);
    color: white;
}

.page-edit-product-root .compta-select > li .compta-icon {
    font-size: 1.8rem;
}



.page-edit-product-root > .bottom-actions {
    position: fixed;
    bottom: 0;
    z-index: 2;
    width: 100%;
    padding: 1rem;
    display: flex;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
}

.page-edit-product-root > .bottom-actions > .button {
    width: fit-content;
}


.page-edit-product-root .metadata .metadata-item {
    display: grid;
    grid-template-columns: 1fr 2fr 10px;
    align-items: center;
    box-sizing: border-box;
}

.page-edit-product-root .metadata .metadata-item input {
    font-size: 1.1rem;
    border: none;
    border-bottom: 1px solid #aaa;
    border-left: 1px solid #aaa;
    padding: 0.5rem;
    background-color: transparent;
    min-width: 10px;
    width: 100%;
}

.page-edit-product-root .metadata .new-metadata {
    width: fit-content;
    margin: 1rem auto;
    grid-template-columns: 1.5rem 1fr;
    background-color: #e8e8e8;
    color: #393939;
    padding: 0.5rem 1rem;
}


.panel-container .icon-picker-root {
    height: 90vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-end;
}




